/*
 * File: DrawHouse.java
 * --------------------
 * This program draws a simple frame house.
 */

import acm.graphics.*;
import acm.program.*;

public class DrawHouse extends GraphicsProgram {

/*
 * The run method for this program draws a simple frame house.  The
 * declaration of the variables at the beginning of the program are
 * used to specify the sizes of various features of the house, such
 * as the width and height of the house itself or the radius of the
 * doorknob.  In Chapter 3, you will learn how to define these
 * parameters as named constants.
 */
	public void run() {
		double cx = getWidth() / 2;
		double cy = getHeight() / 2;
		double houseWidth = 150;
		double houseHeight = 75;
		double roofHeight = 35;
		double doorWidth = 30;
		double doorHeight = 50;
		double windowSize = 30;
		double windowYFraction = 0.35;
		double knobRadius = 2.5;
		double knobXFraction = 0.8;
		double knobYFraction = 0.5;
		double houseX = cx - houseWidth / 2;
		double houseY = cy + (houseHeight + roofHeight) / 2 - houseHeight;
		double doorX = cx - doorWidth / 2;
		double doorY = houseY + houseHeight - doorHeight;
		double knobX = doorX + doorWidth * knobXFraction - knobRadius;
		double knobY = doorY + doorHeight * knobYFraction - knobRadius;
		double windowMargin = (houseWidth - doorWidth - 2 * windowSize) / 4;
		double leftWindowX = houseX + windowMargin;
		double rightWindowX = houseX + houseWidth - windowMargin - windowSize;
		double windowY = houseY + houseHeight * windowYFraction - windowSize / 2;
		add(new GRect(houseX, houseY, houseWidth, houseHeight));
		add(new GLine(houseX, houseY, cx, houseY - roofHeight));
		add(new GLine(cx, houseY - roofHeight, houseX + houseWidth, houseY));
		add(new GRect(doorX, doorY, doorWidth, doorHeight));
		add(new GOval(knobX, knobY, knobRadius * 2, knobRadius * 2));
		add(new GRect(leftWindowX, windowY, windowSize, windowSize));
		add(new GRect(rightWindowX, windowY, windowSize, windowSize));
	}

}
