/*
 * File: OlympicRings.java
 * -----------------------
 * This program draws the symbol for the Olympic games, which
 * consists of five overlapping rings in different colors.
 */

import acm.graphics.*;
import acm.program.*;
import java.awt.*;

public class OlympicRings extends GraphicsProgram {

	public void run() {
		double cx = getWidth() / 2;
		double cy = getHeight() / 2;
		double r = 50;
		double overlap = 0.15;
		double delta = r * (1 - overlap) * Math.sqrt(2);
		GOval blueRing = new GOval(cx - 2 * delta - r, cy - 0.5 * delta - r, 2 * r, 2 * r);
		blueRing.setColor(Color.BLUE);
		add(blueRing);
		GOval yellowRing = new GOval(cx - delta - r, cy + 0.5 * delta - r, 2 * r, 2 * r);
		yellowRing.setColor(Color.YELLOW);
		add(yellowRing);
		GOval blackRing = new GOval(cx - r, cy - 0.5 * delta - r, 2 * r, 2 * r);
		blackRing.setColor(Color.BLACK);
		add(blackRing);
		GOval greenRing = new GOval(cx + delta - r, cy + 0.5 * delta - r, 2 * r, 2 * r);
		greenRing.setColor(Color.GREEN);
		add(greenRing);
		GOval redRing = new GOval(cx + 2 * delta - r, cy - 0.5 * delta - r, 2 * r, 2 * r);
		redRing.setColor(Color.RED);
		add(redRing);
	}

}
