/*
 * File: Rainbow.java
 * ------------------
 * This program displays a rainbow by adding consecutively smaller
 * circles to the canvas.  This version uses decomposition to make
 * the program clearer, even though methods have not yet been
 * introduced in the text.
 */

import acm.graphics.*;
import acm.program.*;
import java.awt.*;

public class Rainbow extends GraphicsProgram {

	public void run() {
		addSky();
		addStripe(1.00, Color.RED);
		addStripe(0.97, Color.ORANGE);
		addStripe(0.94, Color.YELLOW);
		addStripe(0.91, Color.GREEN);
		addStripe(0.88, Color.BLUE);
		addStripe(0.85, Color.MAGENTA);
		addStripe(0.82, Color.CYAN);
	}

	private void addSky() {
		GRect sky = new GRect(0, 0, getWidth(), getHeight());
		sky.setFilled(true);
		sky.setColor(Color.CYAN);
		add(sky);
	}

	private void addStripe(double fraction, Color color) {
		double cx = getWidth() / 2;
		double cy = 2 * getHeight();
		double r = 1.8 * fraction * getHeight();
		GOval stripe = new GOval(cx - r, cy - r, 2 * r, 2 * r);
		stripe.setFilled(true);
		stripe.setColor(color);
		add(stripe);
	}

}
