/*
 * File: RobotFace.java
 * --------------------
 * This program draws a robot face.
 */

import acm.graphics.*;
import acm.program.*;
import java.awt.*;

public class RobotFace extends GraphicsProgram {

	public void run() {
		double xc = 377;
		double yc = 246;
		double headWidth = 100;
		double headHeight = 150;
		double eyeSize = 20;
		double noseWidth = 6;
		double noseHeight = 15;
		double mouthWidth = 60;
		double mouthHeight = 20;

		/* Add the face rectangle */
		double x = xc - headWidth / 2;
		double y = yc - headHeight / 2;
		GRect head = new GRect(x, y, headWidth, headHeight);
		head.setFilled(true);
		head.setFillColor(Color.GRAY);
		add(head);

		/* Add the left eye */
		x = xc - headWidth / 4 - eyeSize / 2;
		y = yc - headHeight / 4 - eyeSize / 2;
		GOval leftEye = new GOval(x, y, eyeSize, eyeSize);
		leftEye.setFilled(true);
		leftEye.setColor(Color.ORANGE);
		add(leftEye);

		/* Add the right eye */
		x = xc + headWidth / 4 - eyeSize / 2;
		GOval rightEye = new GOval(x, y, eyeSize, eyeSize);
		rightEye.setFilled(true);
		rightEye.setColor(Color.ORANGE);
		add(rightEye);

		/* Add the nose */
		x = xc - noseWidth / 2;
		y = yc - noseHeight / 2;
		GRect nose = new GRect(x, y, noseWidth, noseHeight);
		nose.setFilled(true);
		add(nose);

		/* Add the mouth */
		x = xc - mouthWidth / 2;
		y = yc + headHeight / 4 - mouthHeight / 2;
		GRect mouth = new GRect(x, y, mouthWidth, mouthHeight);
		mouth.setFilled(true);
		mouth.setColor(Color.WHITE);
		add(mouth);
	}

}
